Get bank accounts
curl --request GET \
--url https://app.sandbox.rio.trade/api/bank/accounts \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sandbox.rio.trade/api/bank/accounts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sandbox.rio.trade/api/bank/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sandbox.rio.trade/api/bank/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sandbox.rio.trade/api/bank/accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.sandbox.rio.trade/api/bank/accounts")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sandbox.rio.trade/api/bank/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"userId": "66562bc04fe8bf83c577c178",
"createdAt": "2024-05-31T13:55:11.452Z",
"bankName": "BANAMEX",
"country": "MX",
"accountHolderName": "Account holder name",
"fiat": "USD",
"accountNumber": "0123456789",
"CLABE": "0023764000000012345",
"CCI": "00111233001112345678",
"approved": true,
"notes": "Bank Account",
"email": "<string>",
"advancedVerificationStatus": "initiated",
"id": "6659d6bfd78151f639e74d53",
"userName": "<string>"
}
]{
"errors": [
{
"code": 19,
"message": "Not authorized"
}
]
}Bank accounts API
Get bank accounts
GET
/
api
/
bank
/
accounts
Get bank accounts
curl --request GET \
--url https://app.sandbox.rio.trade/api/bank/accounts \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sandbox.rio.trade/api/bank/accounts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sandbox.rio.trade/api/bank/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sandbox.rio.trade/api/bank/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sandbox.rio.trade/api/bank/accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.sandbox.rio.trade/api/bank/accounts")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sandbox.rio.trade/api/bank/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"userId": "66562bc04fe8bf83c577c178",
"createdAt": "2024-05-31T13:55:11.452Z",
"bankName": "BANAMEX",
"country": "MX",
"accountHolderName": "Account holder name",
"fiat": "USD",
"accountNumber": "0123456789",
"CLABE": "0023764000000012345",
"CCI": "00111233001112345678",
"approved": true,
"notes": "Bank Account",
"email": "<string>",
"advancedVerificationStatus": "initiated",
"id": "6659d6bfd78151f639e74d53",
"userName": "<string>"
}
]{
"errors": [
{
"code": 19,
"message": "Not authorized"
}
]
}v1 (legacy). This page documents the API before the v2 update. The v1
format is not enabled for new accounts and must be enabled on your account by
your account manager. New integrations should use the
current documentation. To update an existing integration,
follow the migration guide.
Requirements to consume the endpoint.
User approved
The user must be approved in at least one country.
Query Parameters
Response
OK